[SciPy-Dev] Gentoo Segmentation fault in SuperLu

Pauli Virtanen pav@iki...
Sat Mar 3 09:36:02 CST 2012


03.03.2012 13:37, Martin Dulovits kirjoitti:
> I am not able to compile a version of scipy in gentoo which does not
> fail the automated tests. ( scipy.test() .. )
> I attached with gdb and found that SuperLu is causing a segmentation fault.
> Is there a gentoo way to solve this problem ? It seems to be caused by
> the gentoo-system version of superlu which is not patched in some way ..
> i have read in some forums but I still dont have a clue on how to solve
> this problem.
> I tried on serveral computers but alway ran into the same problem.

Do not use the Gentoo patch, which makes Scipy use the system library.
You should maybe ask on Gentoo forums, how to remove a patch from an ebuild.

-- 
Pauli Virtanen



More information about the SciPy-Dev mailing list